/* Customizations for Tiki 21.x+ before integrating them to the main theme file SCSS */

.modules > .module .sitelogo img, .sitetitles {
    margin-left: 15px;
}

.top_modules .module.box-logo {
    margin-left: 0;
}

#page-header {
    margin: 0;
}

header nav li.dropdown.selected > a, header nav li.dropdown > a:hover  span, header nav li.nav-item:hover, header nav li.nav-item:hover a, .module.box-login_box a:hover {
    color: #555555;
    background-color: #e7e7e7;
    text-decoration: none;
}

#footer .modules {
    display: block;
}

#row-middle {
    min-height: calc(100vh - 272px);
    padding-bottom: 0;
    margin-bottom: .5rem;
}

#appframe .map-container {
    height: calc(100vh - 84px) !important;
}

#col1 {
    min-height: unset;
}

#top_modules .box-login_box {
    margin-right: 15px;
}

#top_modules .box-menu button .navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3Csvg%20id%3D%22Ebene_1%22%20data-name%3D%22Ebene%201%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2033.04%2021.04%22%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill%3A%23888%3B%7D%3C%2Fstyle%3E%3C%2Fdefs%3E%3Crect%20class%3D%22cls-1%22%20y%3D%228.98%22%20width%3D%2233.04%22%20height%3D%223.07%22%20rx%3D%221.54%22%2F%3E%3Crect%20class%3D%22cls-1%22%20y%3D%2217.97%22%20width%3D%2233.04%22%20height%3D%223.07%22%20rx%3D%221.54%22%2F%3E%3Crect%20class%3D%22cls-1%22%20width%3D%2233.04%22%20height%3D%223.07%22%20rx%3D%221.54%22%2F%3E%3C%2Fsvg%3E");
    background-repeat: no-repeat;
    display: inline-block;
    width: 2.2rem;
    height: 1.4rem;
}

#top_modules .box-menu button {
    width: auto;
    height: auto;
    padding: .9rem 1rem;
    line-height: 0;
    border: solid 1px #dddddd;
    border-radius: 4px;
    background-color: transparent;
    margin-bottom: .15rem;
    margin-top: .1rem;
}

#top_modules .navbar {
    margin-bottom: 0;
}

.box-menu .navbar-collapse.collapse.show, .box-menu .navbar-collapse.collapsing {
    background-color: #f8f8f8;
    min-width: 7rem;
    padding: 0;
}

#top_modules .navbar-nav > li > a {
    padding: 1rem 1.5rem;
    background-color: transparent;
    color: #555555;
}

.box-menu .navbar-nav {
    padding: 0;
}

#top_modules .navbar-nav > li.active > a, #top_modules .navbar-nav > li.active > a:hover, #top_modules .navbar-nav > li.active > a:focus {
    color: #555555;
    background-color: #e7e7e7;
}

.box-menu .navbar {
    border: none;
}

#page-bar {
    position: relative;
    bottom: 0;
    margin-top: 1.4rem;
}

#appframe {
    z-index: 4;
}

.tiki .ui-widget {
    font-size: 1.8rem;
}

.tiki .ui-widget button{
    font-size: 1.6rem;
}

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    font-family: Verdana, Arial, sans-serif;
}

.ui-dialog .ui-dialog-content > div > div:last-of-type {
    padding-bottom: 5rem;
    border-bottom: 1px solid #ddd;
}

.ui-dialog .ui-dialog-content .service-dialog.tips {
    margin-right: 1rem;
}

#top_modules .navbar-nav > li {
    overflow: hidden;
}

.sitelogo:hover .btn {
    width: unset;
    height: unset;
    position: absolute;
    margin-top: .6rem;
    background-color: #007bff;
    border-color: #007bff;
}

.box-login_box ul, .siteloginbar_poppedup {
    padding-top: 1rem;
    margin-top: .7rem;
}

.tiki .ui-widget button:hover, .tiki .ui-widget button:focus {
    background-color: white;
}

@media (max-width: 1199.5px) {
    .role_navigation li.dropdown a {
        margin-left: 30%;
    }
}

.col-md-12.side-col-toggle-container.justify-content-end {
    display: flex;
    justify-content: flex-end;
}

#RightEdgeMenu {
    position: relative;
}

#col3 {
    padding-right: 0;
}

@media (min-width: 1200px) {
    #RightEdgeMenu a {
        width: 100%;
    }
}


@media (max-width: 855px) {
    .box-menu .navbar-nav > li {
	    float: unset;
	}
	
	.navbar-collapse.collapse {
		display: none !important;
	}
	
	.navbar-collapse.collapse.show , .navbar-collapse.collapsing {
	    display: block !important;
	}
}

@media (min-width: 855px) {
    .box-menu .navbar-collapse.collapse.show, .box-menu .navbar-collapse.collapsing {
        background-color: transparent;
    }
    
    button.navbar-toggler {
        display: none;
    }
}

header .box-menu .navbar {
    z-index: 9;
}

#top_modules .map-location-search {
    right: 8rem;
}

@media (max-width: 720px) {
    #top_modules .box-menu, .overlay.top_icons, .layer_selector {
        left: 17.4rem !important;
    }

    #top_modules .box-menu {
        right: 11rem;
    }
    
    .overlay.top_icons, .layer_selector {
        right: 1rem;
    }

    .modules > .module .sitelogo, .modules > .module .sitelogo img, .modules > .module .sitelogo a {
        height: 5rem !important;
        width: unset;
    }

    .modules > .module .sitelogo a {
        margin-left: 0;
    }

    #top_modules .map-location-search {
        display: none;
    }

    .top_modules .module.box-logo {
        width: 200px !important;
        z-index: 1001;
    }
    
    .anchor-container {
	    padding-top: 3.5rem;
	}
}

#footer {
    position: relative;
    margin: 0;
}

#col3 .module {
    margin-bottom: 0;
    padding-bottom: 1.25rem;
}

#appframe > div {
    overflow: hidden;
}

.anchor-container {
    max-height: calc(100vh - 3.5rem);
    overflow: auto;
}

.anchor-container::-webkit-scrollbar {
  display: none;
}

.anchor-content {
	max-height: unset;
}

.module.box-login_box a {
    line-height: 1.3 !important;
    display: inline-block;
}

/* login box */

.siteloginbar_poppedup.dropdown-menu {
    position: relative !important;
    transform: unset !important;
    will-change: unset !important;
    max-width: 20rem;
}

#top_modules .box-login_box .btn-link {
    left: 0;
}

.siteloginbar_popup.dropdown.btn-group.float-sm-right.drop-left.show {
    display: flex !important;
    flex-direction: column;
    align-items: flex-end;
    max-width: 7rem;
}

.box-login_box .dropdown-menu.show {
    display: flex !important;
}

.box-login_box .dropdown-menu {
    flex-direction: column;
}

.module.box-login_box a {
    padding-top: .4rem !important;
    padding-bottom: .4rem !important;
}

/* popover */

.tiki .popover.fade {
    opacity: 1;
}

@media (max-width: 992px) {
   button.navbar-toggler {
   	display: inline-block;
   }

   #top_modules .navbar-nav > li > a {
     line-height: 1.4;
   }

   .box-menu .navbar-collapse.collapse.show, .box-menu .navbar-collapse.collapsing {
       background-color: #f8f8f8;
    }
}

@media (min-width: 992px) {
   button.navbar-toggler {
   	display: none;
     }
  
    .navbar.bg-light .nav-link {
        line-height: 1 !important;
        padding: 1.2rem 1.5rem !important;
    }
}

.nav.cssmenu_vert {
   flex-wrap: nowrap;
}

#footer {
   position: static;
}

#row-middle {
    flex-direction: column;
}


.navbar.bg-light {
   background-color: transparent !important;
}

#top_modules .navbar {
    padding-top: 0;
}

#top_modules .box-login_box .btn-link {
    padding: 1rem .75rem;
    line-height: 1;
}

.ui-dialog {
    top: 20vh !important;
}

.ui-dialog {
    min-height: calc(40vh + 13rem) !important;
}

.ui-dialog .ui-dialog-content {
    min-height: 40vh !important;
}

.ui-dialog h6 {
    margin-top: 2rem;
}

.ui-dialog h6:first-of-type {
    margin-top: .5rem;
}

.ui-button .ui-icon {
    background-image: url("../../../vendor_bundled/vendor/components/jqueryui/themes/start/images/ui-icons_0078ae_256x240.png");
}

.ui-state-active .ui-icon, .ui-button:active .ui-icon {
    background-image: url("../../../vendor_bundled/vendor/components/jqueryui/themes/start/images/ui-icons_056b93_256x240.png");
}

.form-check label {
    padding-left: .7rem;
}

.form-check-input {
    margin-top: .8rem;
    margin-left: -1.8rem;
}

/* tweak the font size in the preferences filter */
input[type="checkbox"].preffilter-toggle-round:checked + label:before {
    font-size: 1.2rem;
    line-height: 1.8;
}

/* Primary button */

.btn-primary.ui-button {
    font-size: 1.3rem;
    border-radius: 15px;
    border: none;
    background-color: #056f8a;
    color: white;
    line-height: 1.5;
    padding: 5px 10px;
}

.btn-primary.ui-button:active, .btn-primary.ui-button:hover, .btn-primary.ui-button:focus {
    border: none;
    background-color: #7da9b2;
    color: white;
}


.panel ul {
    margin-top: 1rem;
}

@media (max-width: 767.98px) {
  .navbar-nav {
    margin: 0;
  }
}

/* Map */

.anchor-content h4 label {
    display: block;
    margin-top: .8rem;
    font-size: 1.3rem;
}

.optionalLayers {
    font-family: Verdana, Arial, sans-serif;

}

.optionalLayers .form-check-input {
    margin-left: .45rem !important;
    position: relative;
}

/* Map > headers vertical alignment */

h3.anchor-head span {
    line-height: 2.6;
}

/* home page */

#AboutCartoGraf a,
#MapOfTheDay a {
    color: #fff;
}

#AboutCartoGraf,
#MapOfTheDay {
    font-size: larger;
}

